
Foreman - Bug #2727

Test connection fails on oVirt: wrong number of arguments (1 for 0)

06/28/2013 03:24 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Compute resources   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Error in logs when testing connection on oVirt:

ArgumentError - wrong number of arguments (1 for 0):

  app/controllers/compute_resources_controller.rb:91:in `test_connection'

  actionpack (3.2.13) lib/action_controller/metal/implicit_render.rb:4:in `send_action'

Associated revisions

Revision 025ab6bc - 07/01/2013 03:24 AM - Dominic Cleal

fixes #2727 - fix oVirt test connection method definition

Revision 445f92b0 - 07/01/2013 04:01 AM - Dominic Cleal

fixes #2727 - fix oVirt test connection method definition

(cherry picked from commit 025ab6bcabeaec072381526c6b05ad1a2d974434)

History

#1 - 06/28/2013 03:57 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/754

#2 - 06/29/2013 05:46 AM - Ronny M

Had same "issue with oVirt Engine Version: 3.1.0-3.26.3.el6.centos.alt" on CentOS 6.4 (Final)

applied https://github.com/theforeman/foreman/pull/754

And everything works fine now :)

#3 - 06/29/2013 05:50 AM - Ronny M

Forgot to mention: Foreman 1.2 RC3

#4 - 07/01/2013 04:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 025ab6bcabeaec072381526c6b05ad1a2d974434.
